summaryrefslogtreecommitdiffstats
path: root/audio/mpc123
diff options
context:
space:
mode:
author Luis Henrique <lmello.009@gmail.com>2010-05-12 23:28:04 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 23:28:04 +0200
commitc92da629bce2a60c3e0a309af8b5f02c22639887 (patch)
tree7d2423287c6ba0149fcd49809d998656789ad8ed /audio/mpc123
parentc7c59e19650a84b06f7b9d87db4c14a0bd8a657b (diff)
downloadslackbuilds-c92da629bce2a60c3e0a309af8b5f02c22639887.tar.gz
slackbuilds-c92da629bce2a60c3e0a309af8b5f02c22639887.tar.xz
audio/mpc123: Added to 12.2 repository
Diffstat (limited to 'audio/mpc123')
-rw-r--r--audio/mpc123/README11
-rw-r--r--audio/mpc123/mpc123.SlackBuild77
-rw-r--r--audio/mpc123/mpc123.info8
-rw-r--r--audio/mpc123/slack-desc19
4 files changed, 115 insertions, 0 deletions
diff --git a/audio/mpc123/README b/audio/mpc123/README
new file mode 100644
index 0000000000..539d983c1c
--- /dev/null
+++ b/audio/mpc123/README
@@ -0,0 +1,11 @@
+mpc123 (console Musepack audio player)
+
+mpc123 is your handy Musepack audio player!
+It uses libmpcdec to decode Musepack streams and its features are:
+ * plain file playing - that's easy ;)
+ * playlists
+ * random, shuffle
+ * output to file (wav, cdr, au)
+ * and more...
+
+Requires libmpcdec available at SlackBuilds.org
diff --git a/audio/mpc123/mpc123.SlackBuild b/audio/mpc123/mpc123.SlackBuild
new file mode 100644
index 0000000000..54564de320
--- /dev/null
+++ b/audio/mpc123/mpc123.SlackBuild
@@ -0,0 +1,77 @@
+#!/bin/sh
+
+# Slackware build script for mpc123
+
+# Written by Luis Henrique <lmello.009@gmail.com>
+
+PRGNAM=mpc123
+VERSION=${VERSION:-0.2.4}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+make
+
+# Install the package:
+ginstall -m 755 -d $PKG/usr/bin
+ginstall -m 755 -s mpc123 $PKG/usr/bin
+ginstall -m 755 -d $PKG/usr/man/man1
+ginstall -m 644 mpc123.1 $PKG/usr/man/man1
+ginstall -m 755 -d $PKG/usr/share/locale/it/LC_MESSAGES
+ginstall -m 644 LOCALES/it/LC_MESSAGES/mpc123.mo $PKG/usr/share/locale/it/LC_MESSAGES
+ginstall -m 644 LOCALES/it/LC_MESSAGES/mpc123.po $PKG/usr/share/locale/it
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog LICENSE README TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/audio/mpc123/mpc123.info b/audio/mpc123/mpc123.info
new file mode 100644
index 0000000000..41efa0090a
--- /dev/null
+++ b/audio/mpc123/mpc123.info
@@ -0,0 +1,8 @@
+PRGNAM="mpc123"
+VERSION="0.2.4"
+HOMEPAGE="http://mpc123.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/mpc123/mpc123-0.2.4.tar.gz"
+MD5SUM="88bd86b726142dcf07252d3ab4658b03"
+MAINTAINER="Luis Henrique"
+EMAIL="lmello.009@gmail.com"
+APPROVED="dsomero"
diff --git a/audio/mpc123/slack-desc b/audio/mpc123/slack-desc
new file mode 100644
index 0000000000..d9fa02a434
--- /dev/null
+++ b/audio/mpc123/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------------|
+mpc123: mpc123 (console Musepack audio player)
+mpc123:
+mpc123: mpc123 is your handy Musepack audio player!
+mpc123: It uses libmpcdec to decode Musepack streams and its features are:
+mpc123:
+mpc123: * plain file playing - that's easy ;)
+mpc123: * playlists
+mpc123: * random, shuffle
+mpc123: * output to file (wav, cdr, au)
+mpc123: * and more...
+mpc123: